org.apache.lucene.util

## Class NullInfoStream

- java.lang.Object
- - org.apache.lucene.util.InfoStream
  - - org.apache.lucene.util.NullInfoStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class NullInfoStream
      extends InfoStream

  Prints nothing. Just to make sure tests pass w/ and without enabled InfoStream without actually making noise.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.InfoStream

      `NO_OUTPUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullInfoStream()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `isEnabled(String component)`
    `void` | `message(String component, String message)`

    - ### Methods inherited from class org.apache.lucene.util.InfoStream

      `getDefault, setDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullInfoStream

          public NullInfoStream()

  - ### Method Detail

    - #### message

          public void message(String component,
                     String message)

      Specified by:
        `message` in class `InfoStream`

    - #### isEnabled

          public boolean isEnabled(String component)

      Specified by:
        `isEnabled` in class `InfoStream`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.